Bug 152103 - RHEL3 U5: rhgb-client shows illegal instruction and fails.
Summary: RHEL3 U5: rhgb-client shows illegal instruction and fails.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: ia64 Linux
medium
high
Target Milestone: ---
Assignee: Geoff Gustafson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168426
TreeView+ depends on / blocked
 
Reported: 2005-03-24 21:09 UTC by Fenghua Yu
Modified: 2007-11-30 22:07 UTC (History)
9 users (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 15:52:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixing cache coherency issue on Montecito (5.90 KB, patch)
2005-03-30 00:36 UTC, Fenghua Yu
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Fenghua Yu 2005-03-24 21:09:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; YPC 3.0.1; .NET CLR 1.1.4322)

Description of problem:
rhgb-client shows illegal instruction and fails. The fix for 2.6 is being discussed in lkml. We will backport to RHEL3 as soon as it's accepted upstream and attach it to this bugzilla.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run "rhgb-client".
2. Returns illegal instructions and fails.
  

Actual Results:  rhgb-client shows illegal instructions and fails.

Expected Results:  rhgb-client should run scuccessfully.

Additional info:

Comment 1 Rohit Seth 2005-03-24 21:40:51 UTC
This problem can be exhibited by different applications.  We have started the 
discussions on LKML to resolve this issue. 

http://lkml.org/lkml/2005/3/15/186

http://kerneltrap.org/mailarchive/1/message/38898/thread?
PHPSESSID=13a4c5ed504f7531c01ace22590e9861



Comment 2 Fenghua Yu 2005-03-30 00:36:09 UTC
Created attachment 112442 [details]
Fixing cache coherency issue on Montecito


This patch fixes cache coherency issue on Montecito which causes illegal
instructions when running rhgb-client etc.

The fix has been accepted upstream in 2.6 base kernel. This patch is back
ported from upstream fix.

Comment 4 Ernie Petrides 2005-07-22 01:22:45 UTC
Reassigning to Geoff.  Jason's busy with RHEL4.

Comment 7 Ernie Petrides 2005-08-12 19:24:21 UTC
This might be related to bug 165769 (according to Geoff).

Geoff, does this really need to be Intel-confidential?


Comment 8 Fenghua Yu 2005-08-12 21:05:58 UTC
The fix is in base kernel already. This is NOT Intel confidential.

To verify if it's related to bug 165769, please apply this patch on your 
kernel and try it.


Comment 9 Ernie Petrides 2005-08-12 21:21:47 UTC
Okay, thanks.  Could you please uncheck the Intel Confidential Group
box below then?  As soon as you do this, I'll then uncheck the various
Red Hat Confidential groups so that the bug report will become public.

Thanks in advance.


Comment 11 Ernie Petrides 2005-08-18 20:44:32 UTC
Regarding comment #7, it looks like bug 165769 was a different problem.

Comment 19 Ernie Petrides 2005-11-23 00:24:27 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.10.EL).


Comment 23 Red Hat Bugzilla 2006-03-15 15:52:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.